﻿'' Create STEP-NC Program using VB and Forms
'' ========================================
''
'' This VB project calls the STEP-NC API using the .NET interface.  It
'' creates a dialog and button which creates a small machining program
'' with a few toolpath moves.
''
'' You can find more examples and other documentation at:
''
''      http://www.steptools.com/support/
''

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        '' Create a trivial STEP-NC file
        Dim apt As STEPNCLib.AptStepMaker = New STEPNCLib.AptStepMaker
        apt.PartNo("test part")
        apt.DefineTool(0.25, 5.0, 1.0, 2.0, 3.0, 4.0, 5.0)
        apt.LoadTool(1)
        apt.Rapid()
        apt.GoToXYZ("point001", 1.0, 12.0, 0.0)
        apt.GoToXYZ("point002", 1.0, 14.0, 0.0)
        apt.SaveAsModules("test")

        Close()
    End Sub
End Class
